package com.alterdekim.hearthhack.repository;

import com.alterdekim.hearthhack.dto.BoosterDTO;
import com.alterdekim.hearthhack.entity.Booster;
import com.alterdekim.hearthhack.entity.HeroXP;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface BoosterRepository extends JpaRepository<Booster, Long> {
    @Query(nativeQuery = true)
    List<BoosterDTO> findBoostersByUserId(@Param("userId") Long userId);
}
